Bug 116434 - Fix rpm404 error and RedHat: no such directory in getnotincomps.py from comps-extras
Summary: Fix rpm404 error and RedHat: no such directory in getnotincomps.py from comps...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-21 00:41 UTC by Forrest
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 23:14:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Imports rpm instead of rpm404 on errors, and change RedHat to Fedora (736 bytes, patch)
2004-02-21 00:42 UTC, Forrest
no flags Details | Diff

Description Forrest 2004-02-21 00:41:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
I get two errors when I run getnotincomps.py:

Traceback (most recent call last):
  File "comps-extras-9.2.orig/getnotincomps.py", line 14, in ?
    import rpm404 as rpm
ImportError: No module named rpm404


and:

Traceback (most recent call last):
  File "comps-extras-9.2/getnotincomps.py", line 62, in ?
    main()
  File "comps-extras-9.2/getnotincomps.py", line 36, in main
    hdlist = rpm.readHeaderListFromFile("%s/hdlist" %(basedir,))
rpm.error: (2, 'No such file or directory')


Version-Release number of selected component (if applicable):
comps-extras-9.2-1

How reproducible:
Always

Steps to Reproduce:
1.  Run getnotincomps.py on a Fedora tree

Actual Results:  It gives errors in two places.

Comment 1 Forrest 2004-02-21 00:42:54 UTC
Created attachment 97896 [details]
Imports rpm instead of rpm404 on errors, and change RedHat to Fedora

Comment 2 Jeremy Katz 2004-03-04 23:14:05 UTC
Changed the rpm part, Fedora should be specified as the last option on
the command line.


Note You need to log in before you can comment on or make changes to this bug.